NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.ClosedCornerBuilder Class Reference

Represents a Closed corner feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.ClosedCornerBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ClosureTypeOptions { Close, Overlap }
 This enum represents Corner Closure type More...
 
enum  CutMethodTypes { ByTool, ByPath }
 This enum represents cut method More...
 
enum  OriginTypes { BendCenter, CornerPoint }
 This enum represents Origin type More...
 
enum  TreatmentTypeOptions {
  Open, Closed, CircularCutout, UCutout,
  VCutout, RectangularCutout
}
 This enum represents Corner treatment type More...
 
enum  Types { CloseAndRelief, Relief }
 This enum represents the feature types. More...
 

Public Member Functions

unsafe void AddFacePair (NXOpen.Face firstFace, NXOpen.Face secondFace)
 Add a face pair. More...
 
unsafe void GetFacePair (int index, out NXOpen.Face firstFace, out NXOpen.Face secondFace)
 Return the face pair. More...
 
unsafe int GetNumberOfFacePairs ()
 Returns the number of face pairs already identified for the three bend corner feature. More...
 
unsafe void RemoveFacePair (NXOpen.Face firstFace, NXOpen.Face secondFace)
 Removes a face pair (that represents a unique corner) from the list of face pairs already added. More...
 
unsafe int ValidateBuilderData ()
 Validates the builder data. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool BlendMiter [get, set]
 Returns or sets the option for smooth transition from miter to cutout edges. More...
 
unsafe NXOpen.Expression BlendMiterRadius [get]
 Returns the blend miter radius. More...
 
unsafe
NXOpen.Features.SheetMetal.ClosedCornerBuilder.ClosureTypeOptions 
ClosureType [get, set]
 Returns or sets the closure type More...
 
unsafe
NXOpen.Features.SheetMetal.ClosedCornerBuilder.CutMethodTypes 
CutMethod [get, set]
 Returns or sets the cut method to be used for U/V cutout relief. More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter. More...
 
unsafe NXOpen.Expression Gap [get]
 Returns the gap. More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length of U relief. More...
 
unsafe NXOpen.Expression Length1 [get]
 Returns the length of V relief associated with the first bend selected. More...
 
unsafe NXOpen.Expression Length2 [get]
 Returns the length of V relief associated with the second bend selected. More...
 
unsafe bool MiterCorner [get, set]
 Returns or sets the corner will be closed using the miter algorithm. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the value by which relief origin will be offset More...
 
unsafe
NXOpen.Features.SheetMetal.ClosedCornerBuilder.OriginTypes 
Origin [get, set]
 Returns or sets the default origin will be at the corner point instead of the intersection of bend centerlines. More...
 
unsafe NXOpen.Expression Overlap [get]
 Returns the overlap. More...
 
unsafe NXOpen.Expression PunchRadius [get]
 Returns the punch radius of tool associated with V relief. More...
 
unsafe NXOpen.Expression RectangularLength [get]
 Returns the length of rectangular relief. More...
 
unsafe NXOpen.Expression RectangularWidth [get]
 Returns the width of rectangular relief. More...
 
unsafe
NXOpen.Features.SheetMetal.ClosedCornerBuilder.TreatmentTypeOptions 
TreatmentType [get, set]
 Returns or sets the treatment type More...
 
unsafe
NXOpen.Features.SheetMetal.ClosedCornerBuilder.Types 
Type [get, set]
 Returns or sets the feature type More...
 
unsafe NXOpen.Expression VAngle1 [get]
 Returns the angle1 of V relief. More...
 
unsafe NXOpen.Expression VAngle2 [get]
 Returns the angle2 of V relief. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Closed corner feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateClosedCornerFeatureBuilder

Created in NX5.0.0

Member Enumeration Documentation

This enum represents Corner Closure type

Enumerator
Close 
Overlap 

This enum represents cut method

Enumerator
ByTool 

The cut method will be by tool.

ByPath 

The cut method will be by path.

This enum represents Origin type

Enumerator
BendCenter 

The relief origin will be at the intersection of first bend's centerline and bisector of corrner angle.

CornerPoint 

The relief origin will be at the corner point.

This enum represents Corner treatment type

Enumerator
Open 

Only Webs will be closed

Closed 

Bend and Webs will be closed

CircularCutout 

Circular shaped relief

UCutout 

U shaped relief

VCutout 

V shaped relief

RectangularCutout 

Rectangular shaped relief

This enum represents the feature types.

Enumerator
CloseAndRelief 
Relief 

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.ClosedCornerBuilder.AddFacePair ( NXOpen.Face  firstFace,
NXOpen.Face  secondFace 
)
inline

Add a face pair.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA bend face from a bend
secondFaceA bend face from an adjacent bend
unsafe void NXOpen.Features.SheetMetal.ClosedCornerBuilder.GetFacePair ( int  index,
out NXOpen.Face  firstFace,
out NXOpen.Face  secondFace 
)
inline

Return the face pair.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
indexIndex of the desired face pair
firstFaceFirst face of the face pair
secondFaceSecond face of the face pair
unsafe int NXOpen.Features.SheetMetal.ClosedCornerBuilder.GetNumberOfFacePairs ( )
inline

Returns the number of face pairs already identified for the three bend corner feature.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
The number of face pairs currently identified
unsafe void NXOpen.Features.SheetMetal.ClosedCornerBuilder.RemoveFacePair ( NXOpen.Face  firstFace,
NXOpen.Face  secondFace 
)
inline

Removes a face pair (that represents a unique corner) from the list of face pairs already added.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA face from an already selected face pair
secondFaceThe other face from the face pair
unsafe int NXOpen.Features.SheetMetal.ClosedCornerBuilder.ValidateBuilderData ( )
inline

Validates the builder data.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
Returns 0 if the data in the builder is valid

Property Documentation

unsafe bool NXOpen.Features.SheetMetal.ClosedCornerBuilder.BlendMiter
getset

Returns or sets the option for smooth transition from miter to cutout edges.

Created in NX8.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.BlendMiterRadius
get

Returns the blend miter radius.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.ClosedCornerBuilder.ClosureTypeOptions NXOpen.Features.SheetMetal.ClosedCornerBuilder.ClosureType
getset

Returns or sets the closure type

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.ClosedCornerBuilder.CutMethodTypes NXOpen.Features.SheetMetal.ClosedCornerBuilder.CutMethod
getset

Returns or sets the cut method to be used for U/V cutout relief.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Diameter
get

Returns the diameter.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Gap
get

Returns the gap.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Length
get

Returns the length of U relief.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Length1
get

Returns the length of V relief associated with the first bend selected.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Length2
get

Returns the length of V relief associated with the second bend selected.

Created in NX1872.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.ClosedCornerBuilder.MiterCorner
getset

Returns or sets the corner will be closed using the miter algorithm.

Created in NX7.5.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Offset
get

Returns the value by which relief origin will be offset

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.ClosedCornerBuilder.OriginTypes NXOpen.Features.SheetMetal.ClosedCornerBuilder.Origin
getset

Returns or sets the default origin will be at the corner point instead of the intersection of bend centerlines.

Created in NX6.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.Overlap
get

Returns the overlap.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.PunchRadius
get

Returns the punch radius of tool associated with V relief.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.RectangularLength
get

Returns the length of rectangular relief.

The length is associated to the first bend selected.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.RectangularWidth
get

Returns the width of rectangular relief.

The width is associated to the second bend selected.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.ClosedCornerBuilder.TreatmentTypeOptions NXOpen.Features.SheetMetal.ClosedCornerBuilder.TreatmentType
getset

Returns or sets the treatment type

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.ClosedCornerBuilder.Types NXOpen.Features.SheetMetal.ClosedCornerBuilder.Type
getset

Returns or sets the feature type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.VAngle1
get

Returns the angle1 of V relief.

This is the angle associated with the first bend selected.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ClosedCornerBuilder.VAngle2
get

Returns the angle2 of V relief.

This is the angle associated to the second bend selected.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.